## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOMWrapperParsedSource.hpp File Reference

Include dependency graph for XercesDOMWrapperParsedSource.hpp:

Go to the source code of this file.

## Compounds

- class XercesDOMWrapperParsedSource
    This is designed to allow a XalanTranfomer object to wrap a parsed Xerces document. More...

## Defines

- #define XERCESDOMWRAPPERPARSEDSOURCE_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMDocument DOMDocument_Type

## Functions

- XALAN_DECLARE_XERCES_CLASS (DOM_Document) XALAN_DECLARE_XERCES_CLASS(DOMDocument) XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Document DOM_Document_Type
    This class is deprecated. More...

## Define Documentation

#define XERCESDOMWRAPPERPARSEDSOURCE_HEADER_GUARD

Value:

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument DOMDocument_Type

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | DOM_Document )

This class is deprecated.

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.